'use strict';

var index = require('./index-Bq84pjsN.js');

const tabCss = () => ``;

const Tab = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    get host() { return index.getElement(this); }
    theme = "light";
    // @Prop() prefix: string;
    // @Prop() suffix: string;
    render() {
        const { theme } = this;
        return (index.jsx(index.Host, { theme: theme, children: index.jsx("div", { class: "dds-tab", children: index.jsx("slot", {}, '0e6ac73d467ad2849eb62d649ed31aa267c8c3a2') }, 'a5201952899cb31ee0bc8d1c005c476f15293080') }, '4b16833b2ded06e07512524f72da75b9e49c86b8'));
    }
};
Tab.style = tabCss();

exports.dds_tab = Tab;
